Name:		ksensors
Version:	0.7.3
Release:	20%{?dist}

Summary:	KDE frontend to lm_sensors
Group:		Applications/System
License:	GPLv2+
URL:		http://ksensors.sourceforge.net/
Source0:	http://downloads.sourceforge.net/ksensors/%{name}-%{version}.tar.gz
Patch1:		%{name}-desktop.patch
Patch2:		http://ftp.debian.org/debian/pool/main/k/ksensors/ksensors_0.7.3-15.diff.gz
Patch3:		%{name}-0.7.3-po.patch
Patch4:		%{name}-0.7.3-fix-min-max.patch
Patch5:		%{name}-0.7.3-lm_sensors-3.x.patch
BuildRequires:	kdelibs3-devel, lm_sensors-devel, gettext, desktop-file-utils
Requires:	hicolor-icon-theme


%description
KSensors is a nice lm-sensors frontend for the K Desktop Environment.
Install the hddtemp package if you wish to monitor hard disk
temperatures with KSensors.


%prep
%setup -q
%patch1 -p1 -z .desktop
%patch2 -p1
%patch3 -p1 -z .po
%patch4 -p1 -z .minmax
%patch5 -p1 -z .lm_sensors3x
sed -i -e 's|$(kde_datadir)/sounds|$(kde_sounddir)|' src/sounds/Makefile.*
for f in ChangeLog LIESMICH LISEZMOI ; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done


%build
unset QTDIR ; . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-dependency-tracking --disable-rpath
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"
desktop-file-install --mode 644 --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applnk/Utilities/ksensors.desktop
install -dm 755 %{buildroot}%{_datadir}/autostart
ln -s ../applications/ksensors.desktop %{buildroot}%{_datadir}/autostart
rm -rf %{buildroot}%{_docdir}/HTML
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
for f in locolor hicolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null || :
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null || :
done


%postun
for f in locolor hicolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null || :
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null || :
done


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING FAQ README TODO
%lang(es) %doc LEEME
%lang(de) %doc LIESMICH
%lang(fr) %doc LISEZMOI
%{_bindir}/ksensors
%{_datadir}/applications/ksensors.desktop
%{_datadir}/apps/ksensors/
%{_datadir}/autostart/ksensors.desktop
%{_datadir}/icons/hicolor/*x*/apps/ksensors.png
%{_datadir}/icons/locolor/
%{_datadir}/sounds/ksensors_alert.wav


%changelog
* Fri Sep 14 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.7.3-20
- imported from Fedora
- cleaned up spec-file

